import { defineComponent as i, createBlock as n, openBlock as c, unref as e, withCtx as t, renderSlot as l, createVNode as a, createTextVNode as d, toDisplayString as s } from "vue";
import { ScalarMarkdown as m } from "@scalar/components";
import p from "../../Section/SectionContainerAccordion.vue.js";
import f from "../../Section/SectionHeader.vue.js";
import u from "../../Anchor/Anchor.vue.js";
import g from "../../Section/SectionHeaderTag.vue.js";
import { useNavState as _ } from "../../../hooks/useNavState.js";
const B = /* @__PURE__ */ i({
  __name: "TagAccordion",
  props: {
    tag: {}
  },
  setup(S) {
    const { getTagId: r } = _();
    return (o, v) => (c(), n(e(p), { class: "tag-section" }, {
      title: t(() => [
        a(e(f), { class: "tag-name" }, {
          default: t(() => [
            a(e(u), {
              id: e(r)(o.tag)
            }, {
              default: t(() => [
                a(e(g), { level: 2 }, {
                  default: t(() => [
                    d(s(o.tag.name), 1)
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }, 8, ["id"])
          ]),
          _: 1
        }),
        a(e(m), {
          class: "tag-description",
          value: o.tag.description,
          withImages: ""
        }, null, 8, ["value"])
      ]),
      default: t(() => [
        l(o.$slots, "default", {}, void 0, !0)
      ]),
      _: 3
    }));
  }
});
export {
  B as default
};
